//==============================================================================
//File name:    "iocc2540_bitdef.h"
//Purpose:      Header File
//Version:      1.00	
//==============================================================================

#ifndef _IOCC2540_BITDEF_H_
#define _IOCC2540_BITDEF_H_

//------------------------------------------------------------------------------
//Power Management and Clocks
//------------------------------------------------------------------------------

// PCON (0x87) - Power Mode Control
//#define PCON_IDLE                         0x01


//SLEEPCMD (0xBE)  Sleep-Mode Control Command
#define OSC32K_CALDIS              0x80
#define CLK32K                     0x01

/*
#define SLEEP_USB_EN                      0x80
#define SLEEP_XOSC_S                      0x40
#define SLEEP_HFRC_S                      0x20
#define SLEEP_RST                         0x18
#define SLEEP_RST0                        0x08
#define SLEEP_RST1                        0x10
#define SLEEP_OSC_PD                      0x04
#define SLEEP_MODE                        0x03
#define SLEEP_MODE1                       0x02
#define SLEEP_MODE0                       0x01

#define SLEEP_RST_POR_BOD                 (0x00 << 3)
#define SLEEP_RST_EXT                     (0x01 << 3)
#define SLEEP_RST_WDT                     (0x02 << 3)

#define SLEEP_MODE_PM0                    (0x00)
#define SLEEP_MODE_PM1                    (0x01)
#define SLEEP_MODE_PM2                    (0x02)
#define SLEEP_MODE_PM3                    (0x03)
*/

//CLKCONCMD (0xC6)  Clock Control Command
#define CLKCONCMD_OSC32K    0x80  //bit mask, for the slow 32k clock oscillator
#define CLKCONCMD_OSC       0x40  //bit mask, for the system clock oscillator

//CLKCONSTA (0x9E)  Clock Control Status
#define CLKCONSTA_OSC       0x40  //bit mask, for the system clock oscillator
/*
// T1CTL (0xE4)  Timer 1 Control
#define T1CTL_DIV_1                       (0x00 << 2) // Divide tick frequency by 1
#define T1CTL_DIV_8                       (0x01 << 2) // Divide tick frequency by 8
#define T1CTL_DIV_32                      (0x02 << 2) // Divide tick frequency by 32
#define T1CTL_DIV_128                     (0x03 << 2) // Divide tick frequency by 128

#define T1CTL_MODE_SUSPEND                (0x00)    // Operation is suspended (halt)
#define T1CTL_MODE_FREERUN                (0x01)    // Free Running mode
#define T1CTL_MODE_MODULO                 (0x02)    // Modulo
#define T1CTL_MODE_UPDOWN                 (0x03)    // Up/down


// T4CTL (0xEB)  Timer 4 Control
#define T4CTL_DIV                         0xE0
#define T4CTL_DIV0                        0x20
#define T4CTL_DIV1                        0x40
#define T4CTL_DIV2                        0x80
#define T4CTL_START                       0x10
#define T4CTL_OVFIM                       0x08
#define T4CTL_CLR                         0x04
#define T4CTL_MODE                        0x03
#define T4CTL_MODE0                       0x01
#define T4CTL_MODE1                       0x02

#define T4CTL_MODE_FREERUN                (0x00)
#define T4CTL_MODE_DOWN                   (0x01)
#define T4CTL_MODE_MODULO                 (0x02)
#define T4CTL_MODE_UPDOWN                 (0x03)

#define T4CTL_DIV_1                       (0x00 << 5)
#define T4CTL_DIV_2                       (0x01 << 5)
#define T4CTL_DIV_4                       (0x02 << 5)
#define T4CTL_DIV_8                       (0x03 << 5)
#define T4CTL_DIV_16                      (0x04 << 5)
#define T4CTL_DIV_32                      (0x05 << 5)
#define T4CTL_DIV_64                      (0x06 << 5)
#define T4CTL_DIV_128                     (0x07 << 5)
*/
#endif